Technical Requirements

The following are the technical requirements for the New York Early Intervention System (NYEIS)

  • Technical Requirements
    In order to use NYEIS, users will need a computer that has:
    • Windows 7 or higher
    • Internet Explorer version 11